umbrello: JavaClassifierCodeDocument Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
JavaClassifierCodeDocument Class Reference

`#include <javaclassifiercodedocument.h>`

Inheritance diagram for JavaClassifierCodeDocument:

## Public Member Functions
| JavaClassifierCodeDocument (UMLClassifier *classifier)
virtual | ~JavaClassifierCodeDocument ()
JavaCodeGenerationPolicy * | getJavaPolicy ()
QString | getJavaClassName (const QString &name)
QString | getPath ()
bool | addCodeOperation (CodeOperation *op)
void | updateContent ()
Public Member Functions inherited from ClassifierCodeDocument
| ClassifierCodeDocument (UMLClassifier *parent)
virtual | ~ClassifierCodeDocument ()
bool | addCodeClassField (CodeClassField *add_object)
bool | removeCodeClassField (CodeClassField *remove_object)
CodeClassFieldList * | getCodeClassFieldList ()
bool | parentIsInterface ()
bool | parentIsClass ()
bool | hasAssociationClassFields ()
bool | hasAttributeClassFields ()
bool | hasObjectVectorClassFields ()
bool | hasClassFields ()
QList< CodeOperation * > | getCodeOperations ()
CodeClassFieldList | getSpecificClassFields (CodeClassField::ClassFieldType cfType)
CodeClassFieldList | getSpecificClassFields (CodeClassField::ClassFieldType cfType, bool isStatic)
CodeClassFieldList | getSpecificClassFields (CodeClassField::ClassFieldType cfType, Uml::Visibility::Enum visibility)
CodeClassFieldList | getSpecificClassFields (CodeClassField::ClassFieldType cfType, bool isStatic, Uml::Visibility::Enum visibility)
CodeClassField * | findCodeClassFieldFromParentID (Uml::ID::Type id, int role_id=-1)
UMLClassifier * | getParentClassifier ()
void | addCodeClassFieldMethods (CodeClassFieldList &list)
virtual void | initCodeClassFields ()
virtual void | synchronize ()
virtual void | saveToXMI1 (QDomDocument &doc, QDomElement &root)
virtual void | loadFromXMI1 (QDomElement &root)
Public Member Functions inherited from CodeDocument
| CodeDocument ()
virtual | ~CodeDocument ()
void | setFileExtension (const QString &new_var)
QString | getFileExtension () const
void | setFileName (const QString &new_var)
QString | getFileName () const
void | setPackage (UMLPackage *new_var)
QString | getPackage () const
void | setID (const QString &new_id)
QString | ID () const
void | setWriteOutCode (bool new_var)
bool | getWriteOutCode ()
void | setHeader (CodeComment *comment)
CodeComment * | getHeader ()
bool | insertTextBlock (TextBlock *newBlock, TextBlock *existingBlock, bool after=true)
TextBlock * | findTextBlockByTag (const QString &tag, bool descendIntoChildren=false)
virtual QString | toString ()
virtual CodeBlock * | newCodeBlock ()
virtual HierarchicalCodeBlock * | newHierarchicalCodeBlock ()
virtual CodeBlockWithComments * | newCodeBlockWithComments ()
virtual QString | getUniqueTag (const QString &prefix=QString())
QString | cleanName (const QString &name)
Public Member Functions inherited from CodeGenObjectWithTextBlocks
| CodeGenObjectWithTextBlocks (CodeDocument *parent)
virtual | ~CodeGenObjectWithTextBlocks ()
virtual bool | addTextBlock (TextBlock *add_object)
virtual bool | removeTextBlock (TextBlock *remove_object)
TextBlockList * | getTextBlockList () const
virtual HierarchicalCodeBlock * | getHierarchicalCodeBlock (const QString &tag, const QString &comment, int indentLevel)
virtual CodeBlockWithComments * | getCodeBlockWithComments (const QString &tag, const QString &comment, int indentLevel)
CodeComment * | addOrUpdateTaggedCodeComment (const QString &tag=QString(), const QString &text=QString(), int indentationLevel=0)
CodeBlockWithComments * | addOrUpdateTaggedCodeBlockWithComments (const QString &tag, const QString &text, const QString &ctext, int indentLevel, bool forceUserBlockUpdate)
TextBlock * | findTextBlockByTag (const QString &tag)
CodeGenObjectWithTextBlocks * | findParentObjectForTaggedTextBlock (const QString &tag)

## Protected Member Functions
void | resetTextBlocks ()
virtual void | loadChildTextBlocksFromNode (QDomElement &root)
void | addOrUpdateCodeClassFieldMethodsInCodeBlock (CodeClassFieldList &list, JavaClassDeclarationBlock *codeBlock)
bool | forceDoc ()
Protected Member Functions inherited from ClassifierCodeDocument
void | loadClassFieldsFromXMI (QDomElement &childElem)
virtual void | setAttributesOnNode (QDomDocument &doc, QDomElement &blockElement)
virtual void | setAttributesFromNode (QDomElement &element)
TextBlock * | findCodeClassFieldTextBlockByTag (const QString &tag)
void | declareClassFields (CodeClassFieldList &list, CodeGenObjectWithTextBlocks *parent)
void | syncClassFields ()
void | syncNamesToParent ()
Protected Member Functions inherited from CodeDocument
void | addChildTagToMap (const QString &tag, TextBlock *tb)
void | removeChildTagFromMap (const QString &tag)
void | updateHeader ()
Protected Member Functions inherited from CodeGenObjectWithTextBlocks
void | setAttributesFromObject (CodeGenObjectWithTextBlocks *obj)

## Private Member Functions
void | init ()
JavaClassDeclarationBlock * | getClassDecl ()

## Private Attributes
JavaClassDeclarationBlock * | classDeclCodeBlock
HierarchicalCodeBlock * | constructorBlock
HierarchicalCodeBlock * | operationsBlock

## Additional Inherited Members
Public Slots inherited from ClassifierCodeDocument
void | addAttributeClassField (UMLClassifierListItem *at, bool syncToParentIfAdded=true)
void | addAssociationClassField (UMLAssociation *assoc, bool syncToParentIfAdded=true)
void | removeAttributeClassField (UMLClassifierListItem *at)
void | removeAssociationClassField (UMLAssociation *assoc)
void | addOperation (UMLClassifierListItem *obj)
void | removeOperation (UMLClassifierListItem *obj)
void | syncToParent ()
Protected Attributes inherited from CodeGenObjectWithTextBlocks
QMap< QString, TextBlock * > | m_textBlockTagMap
TextBlockList | m_textblockVector

## Detailed Description

class JavaClassifierCodeDocument A Java UMLClassifier Code Document.

## Constructor & Destructor Documentation

## ◆ JavaClassifierCodeDocument()

JavaClassifierCodeDocument::JavaClassifierCodeDocument | ( | UMLClassifier * | concept | ) |
| explicit

Constructor

We carve the Java document up into sections as follows:

- header
- package declaration
- import statements
- class declaration
- guts of the class (e.g. field decl, accessor methods, operations, dependent classes)

## ◆ ~JavaClassifierCodeDocument()

JavaClassifierCodeDocument::~JavaClassifierCodeDocument | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ addCodeOperation()

bool JavaClassifierCodeDocument::addCodeOperation | ( | CodeOperation * | op | ) |
| virtual

Add a code operation to this java classifier code document.

Returns
  bool which is true IF the code operation was added successfully

Parameters

  op |

Implements ClassifierCodeDocument.

## ◆ addOrUpdateCodeClassFieldMethodsInCodeBlock()

void JavaClassifierCodeDocument::addOrUpdateCodeClassFieldMethodsInCodeBlock | ( | CodeClassFieldList & | list,
|  | JavaClassDeclarationBlock * | codeBlock
| ) |  |
| protected

## ◆ forceDoc()

bool JavaClassifierCodeDocument::forceDoc | ( |  | ) |
| protected

## ◆ getClassDecl()

JavaClassDeclarationBlock * JavaClassifierCodeDocument::getClassDecl | ( |  | ) |
| private

## ◆ getJavaClassName()

QString JavaClassifierCodeDocument::getJavaClassName | ( | const QString & | name | ) |

## ◆ getJavaPolicy()

JavaCodeGenerationPolicy * JavaClassifierCodeDocument::getJavaPolicy | ( |  | ) |

Get the dialog widget which allows user interaction with the object parameters.

Returns
  CodeDocumentDialog

## ◆ getPath()

QString JavaClassifierCodeDocument::getPath | ( |  | ) |
| virtual

Get the value of the path to this code document.

Returns
  the value of m_pathName

Reimplemented from CodeDocument.

## ◆ init()

void JavaClassifierCodeDocument::init | ( |  | ) |
| private

## ◆ loadChildTextBlocksFromNode()

void JavaClassifierCodeDocument::loadChildTextBlocksFromNode | ( | QDomElement & | root | ) |
| protectedvirtual

Need to overwrite this for java since we need to pick up the java class declaration block.

Reimplemented from CodeGenObjectWithTextBlocks.

## ◆ resetTextBlocks()

void JavaClassifierCodeDocument::resetTextBlocks | ( |  | ) |
| protectedvirtual

Reset/clear our inventory of textblocks in this document. Need to overload method to be able to clear the childTextBlockMap.

Reimplemented from CodeDocument.

## ◆ updateContent()

void JavaClassifierCodeDocument::updateContent | ( |  | ) |
| virtual

Update the content of this code document. This is where you should lay out your code document structure of textblocks in the inheriting class, should it have any text in it. Vanilla code documents don't have much to do.. override this with a different version for your own documents.

Implements ClassifierCodeDocument.

## Member Data Documentation

## ◆ classDeclCodeBlock

JavaClassDeclarationBlock* JavaClassifierCodeDocument::classDeclCodeBlock
| private

## ◆ constructorBlock

HierarchicalCodeBlock* JavaClassifierCodeDocument::constructorBlock
| private

## ◆ operationsBlock

HierarchicalCodeBlock* JavaClassifierCodeDocument::operationsBlock
| private

The documentation for this class was generated from the following files:

- umbrello/codegenerators/java/javaclassifiercodedocument.h
- umbrello/codegenerators/java/javaclassifiercodedocument.cpp